Skip to main content
POST
/
seller
/
listings
/
bulk
Bulk create listings
curl --request POST \
  --url https://api.managem.co.uk/seller/listings/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "listings": [
    {
      "condition": "<string>",
      "price": 123,
      "language": "<string>",
      "urn": "<string>",
      "quantity": 1,
      "variants": [],
      "comment": "<string>",
      "gradingProvider": "<string>",
      "gradingScore": "<string>",
      "gradingNumber": "<string>",
      "hidden": false,
      "notes": "<string>"
    }
  ]
}
'
{
  "successful": [
    "<string>"
  ],
  "failed": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request payload for bulk listing creation

listings
object[]
required

Listings to create or update

Maximum array length: 200

Response

Result of processing each listing

Result of processing bulk listings

successful
string[]
required

URNs processed successfully

failed
string[]
required

URNs that failed to process